import 'dart:io';

import 'package:fff_info/api.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'package:font_awesome_flutter/font_awesome_flutter.dart';
import 'package:flutter/material.dart';
import 'package:url_launcher/url_launcher.dart';


import 'drawer.dart';
import 'api.dart';
import 'globals.dart';

import 'dart:convert';
import 'package:http/http.dart' as http;
import 'dart:developer' as developer;

class Downloads extends StatefulWidget {
  Downloads({
    Key key,
  }) : super(key: key);

  @override
  _DownloadState createState() => _DownloadState();
}

class _DownloadState extends State<Downloads> {
  bool contentLoaded = false;
  Widget content = Center(child: CircularProgressIndicator());

  @override
  Widget build(BuildContext context) {
    List<Widget> widgets = new List<Widget>();

    if (!contentLoaded) GApi.DocumentData().then((myList) {
      setState(() {
        content = ListView.builder(
            itemCount: myList.length,
            itemBuilder: (BuildContext context, int _i) {
              return new ListTile(
                  leading: Icon(FontAwesomeIcons.download),
                  title: Text(myList[_i]["name"]),
                  onTap: () {
                    var url = myList[_i]["url"];

                    launch(url);
                  }
              );
            }
        );
        contentLoaded = true;
      });
    });

    return Scaffold(
        drawer: ClimateDrawer(),
        appBar: AppBar(
            title: (Text("Documents"))),
        body: content
    );
  }

}